
Redmine - Feature #1521

RSS Feed

2008-06-24 09:20 - Carsten Aulbert

Status: Closed Start date: 2008-06-24

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

It would be nice to have a RSS feed (any version should do) besides the ATOM feed. A few of my colleagues are using feedreader

which don't understand ATOM and converting thiem via a 3rd party tool is quite a hassle, especially when running many projects. So,

please add a RSS feed :)

History

#1 - 2008-06-24 11:52 - Paul Rivier

Any version won't do. RSS1 does not support per-entry author, which would be very problematic here. I think RSS2 can do it though.

You can probably implement it by looking at how Atom generation happens.

#2 - 2008-07-02 14:02 - Henning Perl

- File rss.patch added

- Target version set to 0.7.2

- % Done changed from 0 to 100

I wrote a small patch to support RSS2 in redmine. Right now, both feeds are selectable in the issues controller and included in the header.

In the future, it would seem to be wise to make this a settig option. Feedback is very welcome!

#3 - 2008-07-02 14:15 - Henning Perl

- File rss.patch added

I now patched it against r1611.

#4 - 2008-07-02 20:37 - Jean-Philippe Lang

- Target version deleted (0.7.2)

#5 - 2008-07-29 20:05 - Derek Montgomery

Any news on putting RSS in redmine?

#6 - 2016-09-13 16:19 - Benjamin Schunn

I think this should be moved to a separate plugin and not in redmine itself.

#7 - 2018-08-18 10:55 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

10 years have passed since this issue was opened. I don't think users need RSS support in addition to existing Atom support because there are few

feed readers that don't support Atom now and RSS is not as popular as 10 years ago.

Files

rss.patch 6.9 KB 2008-07-02 Henning Perl

rss.patch 6.93 KB 2008-07-02 Henning Perl
